<?php


function get_newcalendar($daylength = 1) {
	global $wpdb, $m, $monthnum, $year, $timedifference, $month, $month_abbrev, $weekday, $weekday_initial, $weekday_abbrev, $posts;

	$now = current_time('mysql');

	// Quick check. If we have no posts yet published, abort!
	if ( !$posts ) {
		$gotsome = $wpdb->get_var("SELECT ID from $wpdb->posts WHERE post_status = 'publish' AND post_date < '$now' ORDER BY post_date DESC LIMIT 1");
		if ( !$gotsome )
			return;
	}

	if ( isset($_GET['w']) )
		$w = ''.intval($_GET['w']);

	// week_begins = 0 stands for Sunday
	$week_begins = intval(get_settings('start_of_week'));
	$add_hours = intval(get_settings('gmt_offset'));
	$add_minutes = intval(60 * (get_settings('gmt_offset') - $add_hours));

	// Let's figure out when we are
	if ( !empty($monthnum) && !empty($year) ) {
		$thismonth = ''.zeroise(intval($monthnum), 2);
		$thisyear = ''.intval($year);
	} elseif ( !empty($w) ) {
		// We need to get the month from MySQL
		$thisyear = ''.intval(substr($m, 0, 4));
		$d = (($w - 1) * 7) + 6; //it seems MySQL's weeks disagree with PHP's
		$thismonth = $wpdb->get_var("SELECT DATE_FORMAT((DATE_ADD('${thisyear}0101', INTERVAL $d DAY) ), '%m')");
	} elseif ( !empty($m) ) {
		$calendar = substr($m, 0, 6);
		$thisyear = ''.intval(substr($m, 0, 4));
		if ( strlen($m) < 6 )
				$thismonth = '01';
		else
				$thismonth = ''.zeroise(intval(substr($m, 4, 2)), 2);
	} else {
		$thisyear = gmdate('Y', current_time('timestamp'));
		$thismonth = gmdate('m', current_time('timestamp'));
	}

	$unixmonth = mktime(0, 0 , 0, $thismonth, 1, $thisyear);

	// Get the next and previous month and year with at least one post
	$previous = $wpdb->get_row("SELECT DISTINCT MONTH(post_date) AS month, YEAR(post_date) AS year
		FROM $wpdb->posts
		WHERE post_date < '$thisyear-$thismonth-01'
		AND post_status = 'publish'
			ORDER BY post_date DESC
			LIMIT 1");
	$next = $wpdb->get_row("SELECT	DISTINCT MONTH(post_date) AS month, YEAR(post_date) AS year
		FROM $wpdb->posts
		WHERE post_date >	'$thisyear-$thismonth-01'
		AND post_date < '$now'
		AND MONTH( post_date ) != MONTH( '$thisyear-$thismonth-01' )
		AND post_status = 'publish' 
			ORDER	BY post_date ASC
			LIMIT 1");

	echo '<table summary="calendar" id="wp-calendar">
	<caption>' . $month[zeroise($thismonth, 2)] . ' ' . date('Y', $unixmonth) . '</caption>
	<thead>
	<tr>';

	$day_abbrev = $weekday_initial;
	if ( $daylength > 1 )
		$day_abbrev = $weekday_abbrev;

	$myweek = array();

	for ( $wdcount=0; $wdcount<=6; $wdcount++ ) {
		$myweek[]=$weekday[($wdcount+$week_begins)%7];
	}

	foreach ( $myweek as $wd ) {
		echo "\n\t\t<th abbr=\"$wd\" scope=\"col\" title=\"$wd\">" . $day_abbrev[$wd] . '</th>';
	}

	echo '
	</tr>
	</thead>

	<tfoot>
	<tr>';

	if ( $previous ) {
		echo "\n\t\t".'<td abbr="' . $month[zeroise($previous->month, 2)] . '" colspan="3" id="prev"><a href="' .
		get_month_link($previous->year, $previous->month) . '" title="' . sprintf(__('View posts for %1$s %2$s'), $month[zeroise($previous->month, 2)],
			date('Y', mktime(0, 0 , 0, $previous->month, 1, $previous->year))) . '">&laquo; ' . $month_abbrev[$month[zeroise($previous->month, 2)]] . '</a></td>';
	} else {
		echo "\n\t\t".'<td colspan="3" id="prev" class="pad">&nbsp;</td>';
	}

	echo "\n\t\t".'<td class="pad">&nbsp;</td>';

	if ( $next ) {
		echo "\n\t\t".'<td abbr="' . $month[zeroise($next->month, 2)] . '" colspan="3" id="next"><a href="' .
		get_month_link($next->year, $next->month) . '" title="' . sprintf(__('View posts for %1$s %2$s'), $month[zeroise($next->month, 2)],
			date('Y', mktime(0, 0 , 0, $next->month, 1, $next->year))) . '">' . $month_abbrev[$month[zeroise($next->month, 2)]] . ' &raquo;</a></td>';
	} else {
		echo "\n\t\t".'<td colspan="3" id="next" class="pad">&nbsp;</td>';
	}

	echo '
	</tr>
	</tfoot>

	<tbody>
	<tr>';

	// Get days with posts
	$dayswithposts = $wpdb->get_results("SELECT DISTINCT DAYOFMONTH(post_date)
		FROM $wpdb->posts WHERE MONTH(post_date) = '$thismonth'
		AND YEAR(post_date) = '$thisyear'
		AND post_status = 'publish'
		AND post_date < '" . current_time('mysql') . '\'', ARRAY_N);
	if ( $dayswithposts ) {
		foreach ( $dayswithposts as $daywith ) {
			$daywithpost[] = $daywith[0];
		}
	} else {
		$daywithpost = array();
	}



	if ( strstr($_SERVER['HTTP_USER_AGENT'], 'MSIE') || strstr(strtolower($_SERVER['HTTP_USER_AGENT']), 'camino') || strstr(strtolower($_SERVER['HTTP_USER_AGENT']), 'safari') )
		$ak_title_separator = "\n";
	else
		$ak_title_separator = ', ';

	$ak_titles_for_day = array();
	$ak_post_titles = $wpdb->get_results("SELECT post_title, DAYOFMONTH(post_date) as dom "
		."FROM $wpdb->posts "
		."WHERE YEAR(post_date) = '$thisyear' "
		."AND MONTH(post_date) = '$thismonth' "
		."AND post_date < '".current_time('mysql')."' "
		."AND post_status = 'publish'"
	);
	if ( $ak_post_titles ) {
		foreach ( $ak_post_titles as $ak_post_title ) {
				if ( empty($ak_titles_for_day['day_'.$ak_post_title->dom]) )
					$ak_titles_for_day['day_'.$ak_post_title->dom] = '';
				if ( empty($ak_titles_for_day["$ak_post_title->dom"]) ) // first one
					$ak_titles_for_day["$ak_post_title->dom"] = str_replace('"', '&quot;', wptexturize($ak_post_title->post_title));
				else
					$ak_titles_for_day["$ak_post_title->dom"] .= $ak_title_separator . str_replace('"', '&quot;', wptexturize($ak_post_title->post_title));
		}
	}


	// See how much we should pad in the beginning
	$pad = calendar_week_mod(date('w', $unixmonth)-$week_begins);
	if ( 0 != $pad )
		echo "\n\t\t".'<td colspan="'.$pad.'" class="pad">&nbsp;</td>';

	$daysinmonth = intval(date('t', $unixmonth));
	for ( $day = 1; $day <= $daysinmonth; ++$day ) {
		if ( isset($newrow) && $newrow )
			echo "\n\t</tr>\n\t<tr>\n\t\t";
		$newrow = false;

		if ( $day == gmdate('j', (time() + (get_settings('gmt_offset') * 3600))) && $thismonth == gmdate('m', time()+(get_settings('gmt_offset') * 3600)) && $thisyear == gmdate('Y', time()+(get_settings('gmt_offset') * 3600)) )
			echo '<td id="today">';
		else
			echo '<td>';

		if ( in_array($day, $daywithpost) ) // any posts today?
				echo '<a href="' . get_day_link($thisyear, $thismonth, $day) . "\" title=\"$ak_titles_for_day[$day]\">$day</a>";
		else
			echo $day;
		echo '</td>';

		if ( 6 == calendar_week_mod(date('w', mktime(0, 0 , 0, $thismonth, $day, $thisyear))-$week_begins) )
			$newrow = true;
	}

	$pad = 7 - calendar_week_mod(date('w', mktime(0, 0 , 0, $thismonth, $day, $thisyear))-$week_begins);
	if ( $pad != 0 && $pad != 7 )
		echo "\n\t\t".'<td class="pad" colspan="'.$pad.'">&nbsp;</td>';

	echo "\n\t</tr>\n\t</tbody>\n\t</table>";
}


function kubrick_head() {
	$head = "<style type='text/css'>\n<!--";
	$output = '';
	if ( kubrick_header_image() ) {
		$url =  kubrick_header_image_url() ;
		$output .= "#header { background: url('$url') repeat bottom center; }\n";
	}
	if ( false !== ( $color = kubrick_header_color() ) ) {
		$output .= "#headerimg h1 a, #headerimg h1 a:visited, #headerimg .description { color: $color; }\n";
	}
	if ( false !== ( $display = kubrick_header_display() ) ) {
		$output .= "#headerimg { display: $display }\n";
	}
	$foot = "--></style>\n";
	if ( '' != $output )
		echo $head . $output . $foot;
}

add_action('wp_head', 'kubrick_head');

function kubrick_header_image() {
	return apply_filters('kubrick_header_image', get_settings('kubrick_header_image'));
}

function kubrick_upper_color() {
	if ( strstr( $url = kubrick_header_image_url(), 'header-img.php?' ) ) {
		parse_str(substr($url, strpos($url, '?') + 1), $q);
		return $q['upper'];
	} else
		return '69aee7';
}

function kubrick_lower_color() {
	if ( strstr( $url = kubrick_header_image_url(), 'header-img.php?' ) ) {
		parse_str(substr($url, strpos($url, '?') + 1), $q);
		return $q['lower'];
	} else
		return '4180b6';
}

function kubrick_header_image_url() {
	if ( $image = kubrick_header_image() )
		$url = get_template_directory_uri() . '/images/' . $image;
	else
		$url = get_template_directory_uri() . '/images/kubrickheader.jpg';

	return $url;
}

function kubrick_header_color() {
	return apply_filters('kubrick_header_color', get_settings('kubrick_header_color'));
}

function kubrick_header_color_string() {
	$color = kubrick_header_color();
	if ( false === $color )
		return 'white';

	return $color;
}

function kubrick_header_display() {
	return apply_filters('kubrick_header_display', get_settings('kubrick_header_display'));
}

function kubrick_header_display_string() {
	$display = kubrick_header_display();
	return $display ? $display : 'inline';
}

add_action('admin_menu', 'kubrick_add_theme_page');

function kubrick_add_theme_page() {
	if ( $_GET['page'] == basename(__FILE__) ) {
		if ( 'save' == $_REQUEST['action'] ) {
			if ( isset($_REQUEST['njform']) ) {
				if ( isset($_REQUEST['defaults']) ) {
					delete_option('kubrick_header_image');
					delete_option('kubrick_header_color');
					delete_option('kubrick_header_display');
				} else {
					if ( '' == $_REQUEST['njfontcolor'] )
						delete_option('kubrick_header_color');
					else
						update_option('kubrick_header_color', $_REQUEST['njfontcolor']);

					if ( preg_match('/[0-9A-F]{6}|[0-9A-F]{3}/i', $_REQUEST['njuppercolor'], $uc) && preg_match('/[0-9A-F]{6}|[0-9A-F]{3}/i', $_REQUEST['njlowercolor'], $lc) ) {
						$uc = ( strlen($uc[0]) == 3 ) ? $uc[0]{0}.$uc[0]{0}.$uc[0]{1}.$uc[0]{1}.$uc[0]{2}.$uc[0]{2} : $uc[0];
						$lc = ( strlen($lc[0]) == 3 ) ? $lc[0]{0}.$lc[0]{0}.$lc[0]{1}.$lc[0]{1}.$lc[0]{2}.$lc[0]{2} : $lc[0];
						update_option('kubrick_header_image', "header-img.php?upper=$uc&amp;lower=$lc");
					}

					if ( isset($_REQUEST['toggledisplay']) ) {
						if ( false === get_settings('kubrick_header_display') )
							update_option('kubrick_header_display', 'none');
						else
							delete_option('kubrick_header_display');
					}
				}
			} else {

				if ( isset($_REQUEST['headerimage']) ) {
					if ( '' == $_REQUEST['headerimage'] )
						delete_option('kubrick_header_image');
					else
						update_option('kubrick_header_image', $_REQUEST['headerimage']);
				}

				if ( isset($_REQUEST['fontcolor']) ) {
					if ( '' == $_REQUEST['fontcolor'] )
						delete_option('kubrick_header_color');
					else
						update_option('kubrick_header_color', $_REQUEST['fontcolor']);
				}

				if ( isset($_REQUEST['fontdisplay']) ) {
					if ( '' == $_REQUEST['fontdisplay'] || 'inline' == $_REQUEST['fontdisplay'] )
						delete_option('kubrick_header_display');
					else
						update_option('kubrick_header_display', 'none');
				}
			}
			//print_r($_REQUEST);
			wp_redirect("themes.php?page=functions.php&saved=true");
			die;
		}
		add_action('admin_head', 'kubrick_theme_page_head');
	}
	
	/* Start -  Modify by ywWong, change the Header Image and Color editor */
	
	add_theme_page('Customize Header', 'Customize YWWONG Flexible Theme', 'edit_themes', basename(__FILE__), 'kubrick_theme_page');
	
	/* End -  Modify by ywWong, change the Header Image and Color editor */
}

function kubrick_theme_page_head() {
?>
<script type="text/javascript" src="../wp-includes/js/colorpicker.js"></script>
<script type='text/javascript'>
// <![CDATA[
	function pickColor(color) {
		ColorPicker_targetInput.value = color;
		kUpdate(ColorPicker_targetInput.id);
	}
	function PopupWindow_populate(contents) {
		contents += '<br /><p style="text-align:center;margin-top:0px;"><input type="button" value="Close Color Picker" onclick="cp.hidePopup(\'prettyplease\')"></input></p>';
		this.contents = contents;
		this.populated = false;
	}
	function PopupWindow_hidePopup(magicword) {
		if ( magicword != 'prettyplease' )
			return false;
		if (this.divName != null) {
			if (this.use_gebi) {
				document.getElementById(this.divName).style.visibility = "hidden";
			}
			else if (this.use_css) {
				document.all[this.divName].style.visibility = "hidden";
			}
			else if (this.use_layers) {
				document.layers[this.divName].visibility = "hidden";
			}
		}
		else {
			if (this.popupWindow && !this.popupWindow.closed) {
				this.popupWindow.close();
				this.popupWindow = null;
			}
		}
		return false;
	}
	function colorSelect(t,p) {
		if ( cp.p == p && document.getElementById(cp.divName).style.visibility != "hidden" )
			cp.hidePopup('prettyplease');
		else {
			cp.p = p;
			cp.select(t,p);
		}
	}
	function PopupWindow_setSize(width,height) {
		this.width = 162;
		this.height = 210;
	}

	var cp = new ColorPicker();
	function advUpdate(val, obj) {
		document.getElementById(obj).value = val;
		kUpdate(obj);
	}
	function kUpdate(oid) {
		if ( 'uppercolor' == oid || 'lowercolor' == oid ) {
			uc = document.getElementById('uppercolor').value.replace('#', '');
			lc = document.getElementById('lowercolor').value.replace('#', '');
			hi = document.getElementById('headerimage');
			hi.value = 'header-img.php?upper='+uc+'&lower='+lc;
			document.getElementById('header').style.background = 'url("<?php echo get_template_directory_uri(); ?>/images/'+hi.value+'") center repeat';
			document.getElementById('advuppercolor').value = '#'+uc;
			document.getElementById('advlowercolor').value = '#'+lc;
		}
		if ( 'fontcolor' == oid ) {
			document.getElementById('header').style.color = document.getElementById('fontcolor').value;
			document.getElementById('advfontcolor').value = document.getElementById('fontcolor').value;
		}
		if ( 'fontdisplay' == oid ) {
			document.getElementById('headerimg').style.display = document.getElementById('fontdisplay').value;
		}
	}
	function toggleDisplay() {
		td = document.getElementById('fontdisplay');
		td.value = ( td.value == 'none' ) ? 'inline' : 'none';
		kUpdate('fontdisplay');
	}
	function toggleAdvanced() {
		a = document.getElementById('jsAdvanced');
		if ( a.style.display == 'none' )
			a.style.display = 'block';
		else
			a.style.display = 'none';
	}
	function kDefaults() {
		document.getElementById('headerimage').value = '';
		document.getElementById('advuppercolor').value = document.getElementById('uppercolor').value = '#69aee7';
		document.getElementById('advlowercolor').value = document.getElementById('lowercolor').value = '#4180b6';
		//document.getElementById('header').style.background = 'url("<?php echo get_template_directory_uri(); ?>/images/kubrickheader.jpg") center repeat';
		document.getElementById('header').style.color = '#FFFFFF';
		document.getElementById('advfontcolor').value = document.getElementById('fontcolor').value = '';
		document.getElementById('fontdisplay').value = 'inline';
		document.getElementById('headerimg').style.display = document.getElementById('fontdisplay').value;
	}
	function kRevert() {
		document.getElementById('headerimage').value = '<?php echo kubrick_header_image(); ?>';
		document.getElementById('advuppercolor').value = document.getElementById('uppercolor').value = '#<?php echo kubrick_upper_color(); ?>';
		document.getElementById('advlowercolor').value = document.getElementById('lowercolor').value = '#<?php echo kubrick_lower_color(); ?>';
		//document.getElementById('header').style.background = 'url("<?php echo kubrick_header_image_url(); ?>") center repeat';
		document.getElementById('header').style.color = '';
		document.getElementById('advfontcolor').value = document.getElementById('fontcolor').value = '<?php echo kubrick_header_color_string(); ?>';
		document.getElementById('fontdisplay').value = '<?php echo kubrick_header_display_string(); ?>';
		document.getElementById('headerimg').style.display = document.getElementById('fontdisplay').value;
	}
	function kInit() {
		document.getElementById('jsForm').style.display = 'block';
		document.getElementById('nonJsForm').style.display = 'none';
	}
	addLoadEvent(kInit);
// ]]>
</script>
<style type='text/css'>
	#headwrap {
		text-align: center;
	}
	#kubrick-header {
		font-size: 80%;
	}
	#kubrick-header .hibrowser {
		width: 860px;
		height: 150px;
		overflow: scroll;
	}
	#kubrick-header #hitarget {
		display: none;
	}
	#kubrick-header #header h1 {
		font-family: 'Trebuchet MS', 'Lucida Grande', Verdana, Arial, Sans-Serif;
		font-weight: bold;
		font-size: 3em;
		text-align: left;
		padding-top: 30px;
		padding-left:50px;
		margin: 0;
	}

	#kubrick-header #header .description {
		font-family: 'Lucida Grande', Verdana, Arial, Sans-Serif;
		font-size: 1.2em;
		padding-left:50px;
		text-align: left;
	}
	#kubrick-header #header {
		text-decoration: none;
		color: <?php echo kubrick_header_color_string(); ?>;
		padding: 0;
		margin: 0;
		height: 150px;
		text-align: center;
		background: url('<?php echo kubrick_header_image_url(); ?>') center repeat;
	}
	#kubrick-header #headerimg {
		margin: 7px 9px 0; 
	    height: 150px; 
	    width: 860px; 
		display: <?php echo kubrick_header_display_string(); ?>;
	}
	#jsForm {
		display: none;
		text-align: center;
	}
	#jsForm input.submit, #jsForm input.button, #jsAdvanced input.button {
		padding: 0px;
		margin: 0px;
	}
	#advanced {
		text-align: center;
		width: 620px;
	}
	html>body #advanced {
		text-align: center;
		position: relative;
		left: 50%;
		margin-left: -380px;
	}
	#jsAdvanced {
		text-align: right;
	}
	#nonJsForm {
		position: relative;
		text-align: left;
		margin-left: -370px;
		left: 50%;
	}
	#nonJsForm label {
		padding-top: 6px;
		padding-right: 5px;
		float: left;
		width: 100px;
		text-align: right;
	}
	.defbutton {
		font-weight: bold;
	}
	.zerosize {
		width: 0px;
		height: 0px;
		overflow: hidden;
	}
	#colorPickerDiv a, #colorPickerDiv a:hover {
		padding: 1px;
		text-decoration: none;
		border-bottom: 0px;
	}
</style>

<script language="javascript">

function changelogo(logo){

  var path = "<?php bloginfo('stylesheet_directory'); ?>/images/logo/"+logo;
  document.getElementById("header").style.background = "url('"+path+"') repeat center";
  
}

function update_logo(){
  document.logo.submit();
  
}

function changebgimg(bgimg){

  var path = "<?php bloginfo('stylesheet_directory'); ?>/images/mainbg/"+bgimg;
  document.getElementById("bgimgeg").style.background = "url('"+path+"') repeat";
  
}

function update_bgimg(){
  document.bgimg.submit();
  
}

function update_sidebar(){
  document.sidebar.submit();
  
}

function changeleftsidebarimg(bgimg){

  var path = "<?php bloginfo('stylesheet_directory'); ?>/images/leftbg/"+bgimg;
  document.getElementById("leftsidebarimgeg").style.background = "url('"+path+"') repeat";
  
}


function update_leftsidebarimg(){
  document.leftsidebarimg.submit();
  
}

function changerightsidebarimg(bgimg){

  var path = "<?php bloginfo('stylesheet_directory'); ?>/images/rightbg/"+bgimg;
  document.getElementById("rightsidebarimgeg").style.background = "url('"+path+"') repeat";
  
}

function update_rightsidebarimg(){
  document.rightsidebarimg.submit();
  
}

function changefooterimg(bgimg){
  var path = "<?php bloginfo('stylesheet_directory'); ?>/images/footerbg/"+bgimg;
  document.getElementById("footerimgeg").style.background = "url('"+path+"') repeat";
  
}

function update_footerimg(){
  document.footerimg.submit();
  
}

</script>

<?php
}

function kubrick_theme_page() {
	if ( $_REQUEST['saved'] ) 
	  print "<div class='updated'><p><b> Front Color Options Saved </b></p></div>\n";
	//echo '<div id="message" class="updated fade"><p><strong>Options saved.</strong></p></div>';
?>

<?php
   
   global $wpdb;
   $where = 'theme-ywwong_flexible-optionsLogo';
   $check = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->options WHERE option_name = '$where'");
   
   //add db options for logo information for the first time using ywwong_flexible
   if ($check == 0) {
	 add_option('theme-ywwong_flexible-optionsLogo',$options, 'Options for theme ywwong_subset');	
	 update_option('theme-ywwong_flexible-optionsLogo','logo.jpg');	
	 
   } 

   $selected_radio = $_POST['logo_radio'];
   
   if (@$_POST['actionlogo'] == 'update_logo_option') {   
     update_option('theme-ywwong_flexible-optionsLogo',$selected_radio);      
	 print "<div class='updated'><p><b> Logo Options Saved </b></p></div>\n";	
	 
   }  
   
   $where = 'theme-ywwong_flexible-optionsSidebar';
   $check = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->options WHERE option_name = '$where'");
   
   //add db options for sidebar information when it is first time using ywwong_flexible
   if ($check == 0) {
	 add_option('theme-ywwong_flexible-optionsSidebar',$options, 'Options for theme ywwong_flexible Sidebar');	
	 update_option('theme-ywwong_flexible-optionsSidebar','left');	
	 
   }     
   
   $selected_sidebar = $_POST['sidebar_radio'];
   
   if (@$_POST['actionsidebar'] == 'update_sidebar_option') {        
     update_option('theme-ywwong_flexible-optionsSidebar',$selected_sidebar);      
	 print "<div class='updated'><p><b> Sidebar Options Saved </b></p></div>\n";	
	 
   } 
             
   $where = 'theme-ywwong_flexible-optionsBgimg';
   $check = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->options WHERE option_name = '$where'");
   
   //add db options for background image information when it is first time using ywwong_flexible
   if ($check == 0) {
	 add_option('theme-ywwong_flexible-optionsBgimg',$options, 'Options for theme ywwong_flexible Background Image');	
	 update_option('theme-ywwong_flexible-optionsBgimg','kubrickbgcolor.jpg');	
   }     
   
   $selected_bgimg = $_POST['bgimg_radio'];
   
   if (@$_POST['actionbgimg'] == 'update_bgimg_option') {        
     update_option('theme-ywwong_flexible-optionsBgimg',$selected_bgimg);         	 
	 print "<div class='updated'><p><b> Background Image Options Saved </b></p></div>\n";	
	 
   } 
   
   $where = 'theme-ywwong_flexible-optionsLeftimg';
   $check = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->options WHERE option_name = '$where'");
   
   //add db options for left sidebar background image information when it is first time using ywwong_flexible
   if ($check == 0) {
	 add_option('theme-ywwong_flexible-optionsLeftimg',$options, 'Options for theme ywwong_flexible Left Sidebar Background Image');	
	 update_option('theme-ywwong_flexible-optionsLeftimg','kubrickbg.jpg');	
	 
   }     
   
   $selected_leftsidebarimg = $_POST['leftsidebarimg_radio'];
   
   if (@$_POST['actionleftsidebarimg'] == 'update_leftsidebarimg_option') {        
     update_option('theme-ywwong_flexible-optionsLeftimg',$selected_leftsidebarimg);      
	 print "<div class='updated'><p><b> Left Sidebar Background Image Options Saved </b></p></div>\n";	
	 
   } 
   
   $where = 'theme-ywwong_flexible-optionsRightimg';
   $check = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->options WHERE option_name = '$where'");
   
   //add db options for right sidebar background image information when it is first time using ywwong_flexible
   if ($check == 0) {
	 add_option('theme-ywwong_flexible-optionsRightimg',$options, 'Options for theme ywwong_flexible Right Sidebar Background Image');	
	 update_option('theme-ywwong_flexible-optionsRightimg','kubrickbg2.jpg');	
	 
   }     
   
   $selected_rightsidebarimg = $_POST['rightsidebarimg_radio'];
   
   if (@$_POST['actionrightsidebarimg'] == 'update_rightsidebarimg_option') {        
     update_option('theme-ywwong_flexible-optionsRightimg',$selected_rightsidebarimg);      
	 print "<div class='updated'><p><b> Right Sidebar Background Image Options Saved </b></p></div>\n";	
	 
   } 
   
   $where = 'theme-ywwong_flexible-optionsFooterimg';
   $check = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->options WHERE option_name = '$where'");
   
   //add db options for footer background image information when it is first time using ywwong_flexible
   if ($check == 0) {
    add_option('theme-ywwong_flexible-optionsFooterimg',$options, 'Options for theme ywwong_flexible Footer Background Image');	
	 update_option('theme-ywwong_flexible-optionsFooterimg','kubrickfooter.jpg');	
	                                                       
   }     
   
   $selected_footerimg = $_POST['footerimg_radio'];
   
   if (@$_POST['actionfooterimg'] == 'update_footerimg_option') {           
     update_option('theme-ywwong_flexible-optionsFooterimg',$selected_footerimg);      
	 print "<div class='updated'><p><b> Footer Background Image Options Saved </b></p></div>\n";	
	 
   } 
?>

<div class='wrap'>
	<div id="kubrick-header">
				<div id="kubrick-header">
		<h2>Customize SideBar</h2>
		
<form method="post" name="sidebar" action="">	
		<input type="hidden" name="actionsidebar" value="update_sidebar_option">
		<p align="left"><font size="2"><b>This Options allows you to configure the sidebar type, which are:</b></font></p>
<?php			
			$where = 'theme-ywwong_flexible-optionsSidebar';
            $selected_sidebar = $wpdb->get_var("SELECT option_value FROM $wpdb->options WHERE option_name = '$where'");
			
?>
  
  <div align="left">
     <input type='radio' id='radio_sidebar' name='sidebar_radio' value='left' <?php if ($selected_sidebar=='left') echo "checked=true" ?> />
	 <font size="2">&nbsp;Left SideBar</font>
	 <input type='radio' id='radio_sidebar' name='sidebar_radio' value='right' <?php if ($selected_sidebar=='right') echo "checked=true" ?> />
	 <font size="2">&nbsp;Right SideBar</font>
	 
  </div>	 
  		 
    <input type="submit" name="submitsidebarform" class="defbutton" value="Save" onclick="update_sidebar();" />
   </form>
   </div>

   
		<h2>Customize Header Image</h2>
		<form method="post" name="logo" action="">	
		<input type="hidden" name="actionlogo" value="update_logo_option">
		<p align="left"><font size="2"><b>Add/remove image file in path: <font color="green">/wp-content/themes/ywwong_flexible/images/logo/</font></b></font><br/><br/>
		<font size="2"><b>Select Your Header Image/Logo by tick on the radio button:</b></font></p>
<?php			
			$mydir = dir('../wp-content/themes/ywwong_flexible/images/logo/');   
         
    		$where = 'theme-ywwong_flexible-optionsLogo';
            $selected_logo = $wpdb->get_var("SELECT option_value FROM $wpdb->options WHERE option_name = '$where'");

            while(($file = $mydir->read()) !== false) {
			  $ext = substr($file, strrpos($file, '.') + 1);
	          $ext =strtoupper($ext);
    
              if ($ext=='JPG' or $ext=='JPEG' or $ext=='PNG' or $ext=='GIF' or $ext=='BMP'){
   
?>
 
  
  
  <div align="left">
     <input type='radio' id='radio_logo' name='logo_radio' value='<?php echo $file ?>' <?php if ($selected_logo==$file) echo "checked=true" ?> onclick="changelogo('<?php echo $file ?>');" />
	 <font size="2">&nbsp;<?php echo "$file<BR>" ?></font>
  </div>	 
  
<?php } }   ?>			
  
    <input type="submit" name="submitlogoform" class="defbutton" value="Save" onclick="update_logo();" />
   </form>
	<br><br>	
		<div id="headwrap">
			<div id="header">
				<div id="headerimg">
					<h1><?php bloginfo('name'); ?></h1>
					<div class="description"><?php bloginfo('description'); ?></div>
				</div>
			</div>
		</div>
		<br />
		<div id="nonJsForm">
			<form method="post" action="">			
				<div class="zerosize"><input type="submit" name="defaultsubmit" value="Save" /></div>
				<label for="njfontcolor">Font Color:</label><input type="text" name="njfontcolor" id="njfontcolor" value="<?php echo kubrick_header_color(); ?>" /> Any CSS color (<code>red</code> or <code>#FF0000</code> or <code>rgb(255, 0, 0)</code>)<br />
				<label for="njuppercolor">Upper Color:</label><input type="text" name="njuppercolor" id="njuppercolor" value="#<?php echo kubrick_upper_color(); ?>" /> HEX only (<code>#FF0000</code> or <code>#F00</code>)<br />
				<label for="njlowercolor">Lower Color:</label><input type="text" name="njlowercolor" id="njlowercolor" value="#<?php echo kubrick_lower_color(); ?>" /> HEX only (<code>#FF0000</code> or <code>#F00</code>)<br />
				<input type="hidden" name="hi" id="hi" value="<?php echo kubrick_header_image(); ?>" />
				<input type="submit" name="toggledisplay" id="toggledisplay" value="Toggle Text" />
				<input type="submit" name="defaults" value="Use Defaults" />
				<input type="submit" class="defbutton" name="submitform" value="&nbsp;&nbsp;Save&nbsp;&nbsp;" />
				<input type="hidden" name="action" value="save" />
				<input type="hidden" name="njform" value="true" />
			</form>
		</div>
		<div id="jsForm">
			<form style="display:inline;" method="post" name="hicolor" id="hicolor" action="<?php echo $_SERVER['REQUEST_URI']; ?>">			
				<input type="button" onclick="tgt=document.getElementById('fontcolor');colorSelect(tgt,'pick1');return false;" name="pick1" id="pick1" value="Font Color"></input>
				<!-- <input type="button" onclick="tgt=document.getElementById('uppercolor');colorSelect(tgt,'pick2');return false;" name="pick2" id="pick2" value="Upper Color"></input> -->
				<!--<input type="button" onclick="tgt=document.getElementById('lowercolor');colorSelect(tgt,'pick3');return false;" name="pick3" id="pick3" value="Lower Color"></input> -->
				<input type="button" name="revert" value="Revert" onclick="kRevert()" />
				<input type="button" value="Advanced" onclick="toggleAdvanced()" />
				<input type="submit" name="submitform" class="defbutton" value="Save" onclick="cp.hidePopup('prettyplease');" />
				<input type="hidden" name="action" value="save" />
				<input type="hidden" name="fontdisplay" id="fontdisplay" value="<?php echo kubrick_header_display(); ?>" />
				<input type="hidden" name="fontcolor" id="fontcolor" value="<?php echo kubrick_header_color(); ?>" />
				<input type="hidden" name="uppercolor" id="uppercolor" value="<?php echo kubrick_upper_color(); ?>" />
				<input type="hidden" name="lowercolor" id="lowercolor" value="<?php echo kubrick_lower_color(); ?>" />
				<input type="hidden" name="headerimage" id="headerimage" value="<?php echo kubrick_header_image(); ?>" />
			</form>
			<div id="colorPickerDiv" style="z-index: 100;background:#eee;border:1px solid #ccc;position:absolute;visibility:hidden;"> </div>
			<div id="advanced">
				<form id="jsAdvanced" style="display:none;" action="">
					<label for="advfontcolor">Font Color (CSS): </label><input type="text" id="advfontcolor" onchange="advUpdate(this.value, 'fontcolor')" value="<?php echo kubrick_header_color(); ?>" /><br />
	    			<input type="button" name="default" value="Select Default Colors" onclick="kDefaults()" /><br />
					<input type="button" onclick="toggleDisplay();return false;" name="pick" id="pick" value="Toggle Text Display"></input><br />
		            <label for="advuppercolor" style="display:none;">Upper Color (HEX): </label><input style="display:none;" type="text" id="advuppercolor" onchange="advUpdate(this.value, 'uppercolor')" value="#<?php echo kubrick_upper_color(); ?>" /><br />
					<label for="advlowercolor" style="display:none;">Lower Color (HEX): </label><input style="display:none;" type="text" id="advlowercolor" onchange="advUpdate(this.value, 'lowercolor')" value="#<?php echo kubrick_lower_color(); ?>" /><br />
				</form>
			</div>
		</div>
	</div>

	<div id="kubrick-header">
		<h2>Customize Background Image</h2>
		
<form method="post" name="bgimg" action="">	
		<input type="hidden" name="actionbgimg" value="update_bgimg_option">
		<p align="left"><font size="2"><b>Add/remove image file in path: <font color="green">/wp-content/themes/ywwong_flexible/images/mainbg/</font></b></font><br/><br/>
		
        <table width="200" height="200"><tr><td>
		<div id="bgimgeg" height="100%">&nbsp;<br><br><br><br><br><br><br></div>
		</td><tr></table>		
				
		<font size="2"><b>Select Your Background Image by tick on the radio button:</b></font></p>
<?php			
			$mydir = dir('../wp-content/themes/ywwong_flexible/images/mainbg/');   
         
    		$where = 'theme-ywwong_flexible-optionsBgimg';
            $selected_bgimg = $wpdb->get_var("SELECT option_value FROM $wpdb->options WHERE option_name = '$where'");

            while(($file = $mydir->read()) !== false) {
			  $ext = substr($file, strrpos($file, '.') + 1);
	          $ext =strtoupper($ext);
    
              if ($ext=='JPG' or $ext=='JPEG' or $ext=='PNG' or $ext=='GIF' or $ext=='BMP'){
   
?>
 
  
  
  <div align="left">
     <input type='radio' id='radio_bgimg' name='bgimg_radio' value='<?php echo $file ?>' <?php if ($selected_bgimg==$file) echo "checked=true" ?> onclick="changebgimg('<?php echo $file ?>');"/>
	 <font size="2">&nbsp;<?php echo "$file" ?> - <a name="sample" target="_sample" href="<?php bloginfo('stylesheet_directory'); ?>/images/mainbg/<?php echo $file ?>"> View Image In Original Size</a></font><br>
  </div>	 
  
<?php } }   ?>			
  
    <input type="submit" name="submitbgimgform" class="defbutton" value="Save" onclick="update_bgimg();" />
   </form>
	<br><br>	
	</div>
   
   
   <div id="kubrick-header">
		<h2>Customize Left Sidebar Background Image</h2>
		
<form method="post" name="leftsidebarimg" action="">	
		<input type="hidden" name="actionleftsidebarimg" value="update_leftsidebarimg_option">
		<p align="left"><font size="2"><b>Add/remove image file in path: <font color="green">/wp-content/themes/ywwong_flexible/images/leftbg/</font></b></font><br/><br/>
		
		<table width="200" height="200"><tr><td>
		<div id="leftsidebarimgeg">&nbsp;<br><br><br><br><br><br><br></div>
		</td><tr></table>
		
		<font size="2"><b>Select Your Left Sidebar Background Image by tick on the radio button:</b></font></p>
<?php			
			$mydir = dir('../wp-content/themes/ywwong_flexible/images/leftbg/');   
         
    		$where = 'theme-ywwong_flexible-optionsLeftimg';
            $selected_leftsidebarimg = $wpdb->get_var("SELECT option_value FROM $wpdb->options WHERE option_name = '$where'");

            while(($file = $mydir->read()) !== false) {
			  $ext = substr($file, strrpos($file, '.') + 1);
	          $ext =strtoupper($ext);
    
              if ($ext=='JPG' or $ext=='JPEG' or $ext=='PNG' or $ext=='GIF' or $ext=='BMP'){
   
?>
 
  
  
  <div align="left">
     <input type='radio' id='radio_leftsidebarimg' name='leftsidebarimg_radio' value='<?php echo $file ?>' <?php if ($selected_leftsidebarimg==$file) echo "checked=true" ?> onclick="changeleftsidebarimg('<?php echo $file ?>');"/>
	 <font size="2">&nbsp;<?php echo "$file" ?> - <a name="sample" target="_sample" href="<?php bloginfo('stylesheet_directory'); ?>/images/leftbg/<?php echo $file ?>"> View Image In Original Size</a></font><br>
  </div>	 
  
<?php } }   ?>			
  
    <input type="submit" name="submitleftsidebarimgform" class="defbutton" value="Save" onclick="update_leftsidebarimg();" />
   </form>
	<br><br>	
	</div>
	
	
	   <div id="kubrick-header">
		<h2>Customize Right Sidebar Background Image</h2>
		
<form method="post" name="rightsidebarimg" action="">	
		<input type="hidden" name="actionrightsidebarimg" value="update_rightsidebarimg_option">
		<p align="left"><font size="2"><b>Add/remove image file in path: <font color="green"> /wp-content/themes/ywwong_flexible/images/rightbg/</font></b></font><br/><br/>
		
		<table width="200" height="200"><tr><td>
		<div id="rightsidebarimgeg">&nbsp;<br><br><br><br><br><br><br></div>
		</td><tr></table>
		
		<font size="2"><b>Select Your Right Sidebar Background Image by tick on the radio button:</b></font></p>
<?php			
			$mydir = dir('../wp-content/themes/ywwong_flexible/images/rightbg/');   
         
    		$where = 'theme-ywwong_flexible-optionsRightimg';
            $selected_rightsidebarimg = $wpdb->get_var("SELECT option_value FROM $wpdb->options WHERE option_name = '$where'");

            while(($file = $mydir->read()) !== false) {
			  $ext = substr($file, strrpos($file, '.') + 1);
	          $ext =strtoupper($ext);
    
              if ($ext=='JPG' or $ext=='JPEG' or $ext=='PNG' or $ext=='GIF' or $ext=='BMP'){
   
?>
 
  
  
  <div align="left">
     <input type='radio' id='radio_rightsidebarimg' name='rightsidebarimg_radio' value='<?php echo $file ?>' <?php if ($selected_rightsidebarimg==$file) echo "checked=true" ?> onclick="changerightsidebarimg('<?php echo $file ?>');"/>
	 <font size="2">&nbsp;<?php echo "$file" ?> - <a name="sample" target="_sample" href="<?php bloginfo('stylesheet_directory'); ?>/images/rightbg/<?php echo $file ?>"> View Image In Original Size</a></font><br> 
  </div>	 
  
<?php } }   ?>			
  
    <input type="submit" name="submitrightsidebarimgform" class="defbutton" value="Save" onclick="update_rightsidebarimg();" />
   </form>
	<br><br>	
	</div>

	
	<div id="kubrick-header">
		<h2>Customize Footer Background Image</h2>
		
<form method="post" name="footerimg" action="">	
		<input type="hidden" name="actionfooterimg" value="update_footerimg_option">
		<p align="left"><font size="2"><b>Add/remove image file in path: <font color="green"> /wp-content/themes/ywwong_flexible/images/footerbg/</font></b></font><br/><br/>
		
		<table width="200" height="200"><tr><td>
		<div id="footerimgeg">&nbsp;<br><br><br><br><br><br><br></div>
		</td><tr></table>
		
		<font size="2"><b>Select Your Footer Background Image by tick on the radio button:</b></font></p>
<?php			
			$mydir = dir('../wp-content/themes/ywwong_flexible/images/footerbg/');   
         
    		$where = 'theme-ywwong_flexible-optionsFooterimg';
            $selected_footerimg = $wpdb->get_var("SELECT option_value FROM $wpdb->options WHERE option_name = '$where'");

            while(($file = $mydir->read()) !== false) {
			  $ext = substr($file, strrpos($file, '.') + 1);
	          $ext =strtoupper($ext);
    
              if ($ext=='JPG' or $ext=='JPEG' or $ext=='PNG' or $ext=='GIF' or $ext=='BMP'){
   
?>
 
  
  
  <div align="left">
     <input type='radio' id='radio_footerimg' name='footerimg_radio' value='<?php echo $file ?>' <?php if ($selected_footerimg==$file) echo "checked=true" ?> onclick="changefooterimg('<?php echo $file ?>');"/>
	 <font size="2">&nbsp;<?php echo "$file" ?> - <a name="sample" target="_sample" href="<?php bloginfo('stylesheet_directory'); ?>/images/footerbg/<?php echo $file ?>"> View Image In Original Size</a></font><br>
  </div>	 
  
<?php } }   ?>			
  
    <input type="submit" name="submitfooterimgform" class="defbutton" value="Save" onclick="update_footerimg();" />
   </form>
	<br><br>	
	</div>

	
    <div class="wrap"><h2>Thank you !</h2>
	<p>Thank you for installing YWWONG Flexible Theme, a theme for Wordpress. This theme was designed by <a href="http://www.ywwong.com">ywWong.cOm</a> </p>
    </div>
		  
   
	</div>
   <script language="javascript">
  changelogo('<?php echo $selected_logo ?>');
  changebgimg('<?php echo $selected_bgimg ?>');
  changeleftsidebarimg('<?php echo $selected_leftsidebarimg ?>');
  changerightsidebarimg('<?php echo $selected_rightsidebarimg ?>');
  changefooterimg('<?php echo $selected_footerimg ?>');

  </script>
  
<?php } ?>
